DataRetrievalControllerGetBatchDataRegionStatistics Method

POST /DataRetrieval/GetBatchDataRegionStatistics/ Gets the data statistics for the specified data region.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("GetBatchDataRegionStatistics")]
public Task<IActionResult> GetBatchDataRegionStatistics(
	[FromBodyAttribute] BatchDataRegionStatisticsRequestData options,
	Guid? sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsBatchDataRegionStatisticsRequestData
The options for how to retrieve the statistics.
sessionId (Optional)
Type: SystemNullableGuid
ID of the session.

Return Value

Type: TaskIActionResult
Returns a StatisticsResultData with the results. If an error occurs, either a status code is returned indicating the problem, or the Exceptions property on the result will be populated with one or more errors.
See Also